/* Make sure tables don't exist before creation */
DROP TABLE IF EXISTS record, artist;

/* Define table for storing artists */
CREATE TABLE artist (
	id INT AUTO_INCREMENT,
	first_name VARCHAR(50),
	last_name VARCHAR(50),
	PRIMARY KEY(id)
);

/* Define table for storing records (products) */
CREATE TABLE record (
	id INT AUTO_INCREMENT,
	title VARCHAR(50),
	artist_id INT,
	genre TINYTEXT,
	year YEAR(4),
	price DECIMAL(10, 2) unsigned,
	PRIMARY KEY (id),
	FOREIGN KEY (artist_id)
		REFERENCES artist (id)
);
